@echo off
SETLOCAL
set EX=%1
set PLATFORM=%2

if "%EX%"=="" goto usage
if "%PLATFORM%"=="" set PLATFORM=win64x86

for /f "tokens=3" %%g in ('java -version 2^>^&1 ^| findstr /i "version"') do (
    rem @echo Output: %%g
    set JAVAVER=%%g
)
set JAVAVER=%JAVAVER:"=%
rem @echo JAVAVER: %JAVAVER%

for /f "delims=. tokens=1-2" %%v in ("%JAVAVER%") do (
    rem @echo Major: %%v
    rem @echo Minor: %%w
    set MINIVER=%%v_%%w
)
set MINIVER=%MINIVER:"=%
set JARFILE=liman%MINIVER%.jar
@echo JARFILE: %JARFILE%

set JOPT=-Djava.library.path=%LIMAN_ROOT%\lib\%PLATFORM%
set JCLASSP=-classpath %LIMAN_ROOT%\lib\%JARFILE%;.\
set JARG=

echo Compiling %EX%
%JAVA_HOME%\bin\java -version
%JAVA_HOME%\bin\javac %JCLASSP% .\%EX%.java 

echo Running %EX%
if "%EX%"=="testapp" goto testapp
if "%EX%"=="ex2" goto ex2
goto run

:ex2
set PRODUCT=TESTAPP
set APPKEYS=%LIMAN_ROOT%\apps\keys\%PRODUCT%
set LICFILE=usr_453A0BD1BC6C5D50
set JARG=%APPKEYS%\%LICFILE%.lic %APPKEYS%\%PRODUCT%_public.key %APPKEYS%\%PRODUCT%_private.key
goto run


:testapp
if not "%3"=="" goto other
set PRODUCT=TESTAPP
set APPKEYS=%LIMAN_ROOT%\apps\keys\%PRODUCT%
set LICFILE=%3
if "%LICFILE%"=="" set LICFILE=usr_453A0BD1BC6C5D50
set JARG=%PRODUCT% %APPKEYS%\%LICFILE%.lic
echo %JARG%
goto run

:other
set PRODUCT=%3
set APPKEYS=%LIMAN_ROOT%\apps\keys\%PRODUCT%
set LICFILE=%4
if "%LICFILE%"=="" set LICFILE=usr_453A0BD1BC6C5D50
set JARG=%PRODUCT% %APPKEYS%\%LICFILE%.lic
echo %JARG%
goto run


:run
echo %JOPT%
%JAVA_HOME%\bin\java  %JCLASSP% %JOPT%  %EX% %JARG%

goto end

:usage
echo.
echo usage: jtest.sh ex1 platform
echo example: jtest.sh ex1 osx64x86
echo.
goto end

:end

